package de.ugoe.cs.quest.tasktrees.treeifc;

import java.util.List;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: $
 * @author 2011, last modified by $Author: $
 */
public interface ITaskTreeNode extends Cloneable {

    /**
     *
     */
    public String getName();

    /**
     *
     */
    public String getDescription();

    /**
     *
     */
    public List<ITaskTreeNode> getChildren();

    /**
     *
     */
    public boolean equals(ITaskTreeNode taskTreeNode);

    /**
     *
     */
    public int hashCode();

    /**
     *
     */
    public ITaskTreeNode clone();
    
}
